---
title: Resistors
parent: Components
type: Resistor
images:
  - src: ./components/Resistors.webp
    alt: 'These resistors were salvaged from a Reel to Reel recorder'
usage: "A resistor limits the current going trough. This amount of *resistance* is expressed in Ohm (Ω)"
whereToFind: Everywhere!
schematicSymbol: https://upload.wikimedia.org/wikipedia/commons/thumb/4/44/IEEE_315-1975_%281993%29_2.1.1.a.svg/200px-IEEE_315-1975_%281993%29_2.1.1.a.svg.png
alsoKnownAs: "knob, pot, potentiometer, variable resistor, dial"
---

You’ll find resistors in nearly every electronic device and schematic. It’s useful to keep a wide range of values around, from 1 ohm up to 10 million ohms. Their colored bands indicate their value. In my experience, their values on schematics are usually an indicator, and you can divert slightly without too much impact on your project.

Variable resistors—like photoresistors and potentiometers—are especially worth salvaging, along with their knobs[^knobs]. They make your circuit interactive with your circuit.

[^knobs]: I've found a lot of old gas stoves left out for trash collection. They often have nice knobs, that can be pulled off without need for tools.

### Types of resistors
- carbon or metal film resistor
* Comes in different values, marked with color bands*
- Photoresistor
*Changes resistance based on amient light levels.*
- Potentiometer
*A knob-controlled resistor.*
- Stereo potentiometer
*Controls two channels at once, often used for stereo audio.*
- Slide potentiometer
*A slider-controlled resistor.*
- Trimpot
*A small, precise variable resistor you adjust with a screwdriver, used for circuit calibration.*
- Thermistor
*Changes resistance based on temperature.*
